%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gummi
Version:        0.4.5
Release:        2%{?dist}
Summary:        A simple LaTeX editor

Group:          Applications/Publishing
License:        MIT
URL:            http://gummi.midnightcoding.org
Source0:        http://dev.midnightcoding.org/redmine/attachments/download/18/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRequires:  desktop-file-utils

Requires:       gtk2
Requires:       gnome-python2-extras
Requires:       pygtksourceview
Requires:       tex(latex)
Requires:       pypoppler


%description
Gummi is a LaTeX editor written in the Python programming language using
the PyGTK interface toolkit. It was designed with simplicity and the novice
user in mind, but also offers features that speak to the more advanced user.


%prep
%setup -q
sed -i -e '/^#!\//, 1d' gummi/*.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot} --prefix=%{_prefix}
desktop-file-install                                 \
    --remove-key="Version"                           \
    --add-category="Publishing;"                     \
    --dir=%{buildroot}%{_datadir}/applications       \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc README gummi/docs/LICENSE gummi/docs/CHANGES
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Sat Mar 06 2010 Fabian Affolter <fabian@bernewireless.net> - 0.4.5-2
- Added man page

* Fri Mar 05 2010 Fabian Affolter <fabian@bernewireless.net> - 0.4.5-1
- Updated to new upstream version 0.4.5

* Mon Dec 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4.2-2
- Changed requirements and BR
- Added license file to doc
- Changed group

* Mon Nov 02 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4.2-1
- Remove shebangs 
- Updated to new upstream version 0.4.2

* Mon Oct 12 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3-1.b
- Initial spec for Fedora
